1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

xrumer 5.04 is not compatible with windows 2008

Discussion in 'Black Hat SEO Tools' started by teguh123, Jun 14, 2009.

  1. teguh123

    teguh123 BANNED BANNED Premium Member

    Joined:
    Sep 23, 2008
    Messages:
    703
    Likes Received:
    105
    Sad to hear that. Downgrading to windows 2003